import { NotifierPlugin, NotifyParams, PluginCreateOptions } from "reg-suit-interface";
export interface GhApiPluginOption {
    owner: string;
    repository: string;
    privateToken: string;
    githubUrl?: string;
    shortDescription?: boolean;
}
export declare class GhApiNotifierPlugin implements NotifierPlugin<GhApiPluginOption> {
    name: string;
    private _logger;
    private _owner?;
    private _repository?;
    private _githubUrl;
    private _token?;
    private _repo;
    private _shortDescription;
    init(config: PluginCreateOptions<GhApiPluginOption>): void;
    notify(params: NotifyParams): Promise<void>;
}
